Async Hooks module: https://nodejs.org/api/async_hooks.html

## Index

### Classes

- AsyncResource

### Interfaces

- AsyncHook
- AsyncResourceOptions
- HookCallbacks

### Functions

- createHook
- executionAsyncId
- triggerAsyncId

## Functions

### createHook

- createHook(options: HookCallbacks): AsyncHook

- - Defined in node_modules/@types/node/async_hooks.d.ts:69

  Registers functions to be called for different lifetime events of each async operation.

  #### Parameters

  - ##### options: HookCallbacks

    the callbacks to register

  #### Returns AsyncHook

  an AsyncHooks instance used for disabling and enabling hooks

### executionAsyncId

- executionAsyncId(): number

- - Defined in node_modules/@types/node/async_hooks.d.ts:8

  Returns the asyncId of the current execution context.

  #### Returns number

### triggerAsyncId

- triggerAsyncId(): number

- - Defined in node_modules/@types/node/async_hooks.d.ts:13

  Returns the ID of the resource responsible for calling the callback that is currently being executed.

  #### Returns number

Generated using TypeDoc